#!/usr/bin/env python

import pygtk
pygtk.require('2.0')
import gtk
import appindicator
import os
import gettext

class AppIndicatorExample:
    def __init__(self):
        self.ind = appindicator.Indicator ("example-simple-client", "indicator-messages", appindicator.CATEGORY_APPLICATION_STATUS)
        self.ind.set_status (appindicator.STATUS_ACTIVE)
        self.ind.set_attention_icon ("indicator-messages-new")
        self.ind.set_icon("/usr/share/pixmaps/syncdrive-panel.png")

        # create a menu
        self.menu = gtk.Menu()

        # create items for the menu - labels, checkboxes, radio buttons and images are supported
        
        item = gtk.MenuItem("Open SyncDrive folder...")
 	item.connect('activate', self.on_item_activated)
        item.show()
        self.menu.append(item)
	os.system('/usr/share/SyncDrive/syncdrivedaemon &')

        item3 = gtk.MenuItem("Account information ...")
 	item3.connect('activate', self.on_item3_activated)
        item3.show()
        self.menu.append(item3)

        item2 = gtk.MenuItem("Synchronize now...")
 	item2.connect('activate', self.on_item2_activated)
        item2.show()
        self.menu.append(item2)

        item4 = gtk.MenuItem("Google Drive on the web")
 	item4.connect('activate', self.on_item4_activated)
        item4.show()
        self.menu.append(item4)
	
        image = gtk.ImageMenuItem(gtk.STOCK_QUIT)
        image.connect("activate", self.quit)
        image.show()
        self.menu.append(image)
                    
        self.menu.show()

        self.ind.set_menu(self.menu)

    def on_item_activated(self, event=None):
        os.system('nautilus ~/SyncDrive/ &')

    def on_item2_activated(self, event=None):
        os.system('~/SyncDrive/.scriptdrive2')

    def on_item3_activated(self, event=None):
        os.system('/usr/bin/syncdrive &')

    def on_item4_activated(self, event=None):
        os.system('x-www-browser https://drive.google.com/ &')

    def quit(self, widget, data=None):
        gtk.main_quit()


def main():
    gtk.main()
    return 0

if __name__ == "__main__":
    indicator = AppIndicatorExample()
    main()

